commit: b46a3330bac5dca2b73adb3a1f9d34bc083580b0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 08:43:41 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 08:43:41 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b46a3330
dev-python/diskcache: Bump to 5.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/diskcache/Manifest | 1 +
dev-python/diskcache/diskcache-5.2.1.ebuild | 37 +++++++++++++++++++++++++++++
2 files changed, 38 insertions(+)
diff --git a/dev-python/diskcache/Manifest b/dev-python/diskcache/Manifest
index 3f469d16493..dda7430889b 100644
--- a/dev-python/diskcache/Manifest
+++ b/dev-python/diskcache/Manifest
@@ -1 +1,2 @@
DIST diskcache-5.1.0.gh.tar.gz 656930 BLAKE2B
19ec1e16e33315248f28e1937a94bb29d641f31c263a3a2fc4d24b58082f7c9c522c74f38d07ece51dce066040538ef47348c50e8d591a749674ab6d6f2ce5f1
SHA512
33437899221051ef3dafd0eeddfec72bef00d5a6b189046cb919495b322b534445a39e5d23a1c85484867d9d07efb7de36fe5f2d3dad79357086a3dcfa3c8b0c
+DIST diskcache-5.2.1.gh.tar.gz 652769 BLAKE2B
25fcdcf51c8be7a6e2a9de645258f776647789a7f06c70c8564ad28bd003a745167095b11a54d435e733d9f5181a1443be2510fe2d901cc208ea426d3359c0ba
SHA512
6e55bada12145d931f4a465092decc3f2cfed2e618d1ea271ad6daa6caf7c3abfd6ae5de11072efdf898ebf272acd39136136b58d7b5e735092963bdd46af52e
diff --git a/dev-python/diskcache/diskcache-5.2.1.ebuild
b/dev-python/diskcache/diskcache-5.2.1.ebuild
new file mode 100644
index 00000000000..21ddebd65a8
--- /dev/null
+++ b/dev-python/diskcache/diskcache-5.2.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+HOMEPAGE="http://www.grantjenks.com/docs/diskcache/
+ https://github.com/grantjenks/python-diskcache/"
+DESCRIPTION="Disk and file backed cache"
+SRC_URI="
+ https://github.com/grantjenks/python-diskcache/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/python-diskcache-${PV}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+src_prepare() {
+ # remove dep on pytest-xdist and pytest-cov
+ sed -i -e '/-n auto/d' -e '/--cov/d' tox.ini || die
+
+ distutils-r1_src_prepare
+}